GET

Get Master Message Template by Type

Early Preview

This API is in early preview and may be subject to change. Please contact your account manager if you are interested in trying the Branding API.

Use this API to retrieve a single default/master message template by its type.

Resource URL

https://<subdomain>.onelogin.com/api/2/branding/brands/master/templates/:template_type

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All.

In order to use the Branding API your API Credentials must be created after 21st October 2020.

Content-Type

required

string

Set to application/json.

Resource Parameters

template_type

required

string

The message template type to return.

Sample Responses

{
    "id": null,
    "locale": "en",
    "type": "email_forgot_password",
    "template_class": "email_template",
    "template": {
        "html": "<p>If you have requested a new password for your OneLogin account,\nplease click on the link below to select a new password.</p><p>Click link to reset your password</p><p><a clicktracking="off" href="&lcub;&lcub;url&rcub;&rcub;">Click here to reset your password</a></p><p>If you did not request a new password, please ignore this email.</p>",
        "plain": "If you have requested a new password for your OneLogin account,\nuse the link below to reset your password\nLink: &lcub;&lcub;url&rcub;&rcub;\n\nIf you did not request a new password, please ignore this email.",
        "subject": "Forgot your password"
    }
}
{
    "name": "UnauthorizedError",
    "message": "The request requires user authentication."
}
{
    "name": "NotFoundError",
    "message": "Unknown Content Template type: \"544880\"",
    "statusCode": 404
}

Postman Collection

Replace sample variables indicated by {{ }} with your actual values.

Run In Postman

    Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

Get Account Brand

curl 'https://<subdomain>.onelogin.com/api/2/branding/brands/master/templates/:template_type' \
-X GET \
-H "Authorization: bearer <access_token>"
-H "Content-Type: application/json" \